package com.aucma.dms.mapper;

import com.aucma.dms.domain.DmsDispatchPlan;

import java.util.List;

/**
 * 派工计划Mapper接口
 *
 * @author Cascade AI
 * @date 2025-01-10
 */
public interface DmsDispatchPlanMapper {
    
    /**
     * 查询派工计划
     *
     * @param planId 派工计划主键
     * @return 派工计划
     */
    DmsDispatchPlan selectDmsDispatchPlanByPlanId(Long planId);

    /**
     * 查询派工计划列表
     *
     * @param dmsDispatchPlan 派工计划
     * @return 派工计划集合
     */
    List<DmsDispatchPlan> selectDmsDispatchPlanList(DmsDispatchPlan dmsDispatchPlan);

    /**
     * 新增派工计划
     *
     * @param dmsDispatchPlan 派工计划
     * @return 结果
     */
    int insertDmsDispatchPlan(DmsDispatchPlan dmsDispatchPlan);

    /**
     * 修改派工计划
     *
     * @param dmsDispatchPlan 派工计划
     * @return 结果
     */
    int updateDmsDispatchPlan(DmsDispatchPlan dmsDispatchPlan);

    /**
     * 删除派工计划
     *
     * @param planId 派工计划主键
     * @return 结果
     */
    int deleteDmsDispatchPlanByPlanId(Long planId);

    /**
     * 批量删除派工计划
     *
     * @param planIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteDmsDispatchPlanByPlanIds(Long[] planIds);
}
